from setuptools import setup, find_packages

from pathlib import Path
this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

setup(
    name='htmlizer',
    version='0.0.2',
    packages=find_packages(),
    install_requires=[  # List your dependencies here (e.g., argparse, any other libraries)
        'argparse',
        'flask'
    ],
    entry_points={
        'console_scripts': [
            'htmlizer=htmlizer.main:main',  # 'mycli' is the command that will run the 'main' function in cli.py
        ],
    },
    include_package_data=True,  # Ensures files listed in MANIFEST are included
    package_data={
        'htmlizer': ['templates/*'],  # Include all files in the 'templates' folder
    },
    description='JUnit XML to HTML Report Generator',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='Pablo Calvo',
    author_email='pjcalvov@gmail.com',
    url='https://github.com/pjcalvo/htmlizer',
)
